<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AttachmentCategoriesRow Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d93/class_attachment_categories_row.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AttachmentCategoriesRow Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for AttachmentCategoriesRow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d93/class_attachment_categories_row.png" usemap="#AttachmentCategoriesRow_map" alt=""/>
  <map id="AttachmentCategoriesRow_map" name="AttachmentCategoriesRow_map">
<area href="../../d7/d00/class_closable_container.html" alt="ClosableContainer" shape="rect" coords="0,0,159,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a980a40031a549f17244320edd51b6220"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a980a40031a549f17244320edd51b6220">AttachmentCategoriesRow</a> (<a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> sort=-1)</td></tr>
<tr class="separator:a980a40031a549f17244320edd51b6220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57fb3b7f9303031ff7a2b16c9497c36"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ae57fb3b7f9303031ff7a2b16c9497c36">GetCategoryIdentifier</a> ()</td></tr>
<tr class="separator:ae57fb3b7f9303031ff7a2b16c9497c36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4640eb5c823da81b995bff7d89a00c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ab4640eb5c823da81b995bff7d89a00c5">GetFocusedSlot</a> ()</td></tr>
<tr class="separator:ab4640eb5c823da81b995bff7d89a00c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21b7c11d83d7bb7601b90f5e53dfdec3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a21b7c11d83d7bb7601b90f5e53dfdec3">Select</a> ()</td></tr>
<tr class="separator:a21b7c11d83d7bb7601b90f5e53dfdec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c888e0d95ab0f53d3d1dbbd6d4e666b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a6c888e0d95ab0f53d3d1dbbd6d4e666b">TransferItem</a> ()</td></tr>
<tr class="separator:a6c888e0d95ab0f53d3d1dbbd6d4e666b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3680de698fac1cb02efa7bf6eddbaa50"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a3680de698fac1cb02efa7bf6eddbaa50">TransferItemToVicinity</a> ()</td></tr>
<tr class="separator:a3680de698fac1cb02efa7bf6eddbaa50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5986fb974b40f02d42b90e83ea953a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a4e5986fb974b40f02d42b90e83ea953a">Combine</a> ()</td></tr>
<tr class="separator:a4e5986fb974b40f02d42b90e83ea953a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc0ce7fdae363510e07cabfec3274224"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#acc0ce7fdae363510e07cabfec3274224">SplitItem</a> ()</td></tr>
<tr class="separator:acc0ce7fdae363510e07cabfec3274224"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0e7b189137ea662f84750b4c8f85f86"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#af0e7b189137ea662f84750b4c8f85f86">EquipItem</a> ()</td></tr>
<tr class="separator:af0e7b189137ea662f84750b4c8f85f86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacbc7d1d64fb2f169beb0adc5493953a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#aacbc7d1d64fb2f169beb0adc5493953a">CanEquip</a> ()</td></tr>
<tr class="separator:aacbc7d1d64fb2f169beb0adc5493953a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebd2db255cbe2fb8e11f75e6e89de991"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#aebd2db255cbe2fb8e11f75e6e89de991">CanCombine</a> ()</td></tr>
<tr class="separator:aebd2db255cbe2fb8e11f75e6e89de991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a472effda30a7018c48ad844b7c89b8a1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a472effda30a7018c48ad844b7c89b8a1">CanCombineAmmo</a> ()</td></tr>
<tr class="separator:a472effda30a7018c48ad844b7c89b8a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4592e5f4caa524ef54578d7a73cf2f35"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a4592e5f4caa524ef54578d7a73cf2f35">IsItemActive</a> ()</td></tr>
<tr class="separator:a4592e5f4caa524ef54578d7a73cf2f35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4537caec7a3937c5b57359c4c5b8b21c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a4537caec7a3937c5b57359c4c5b8b21c">IsItemWithQuantityActive</a> ()</td></tr>
<tr class="separator:a4537caec7a3937c5b57359c4c5b8b21c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39ecd4d5126414742c85bee5035bc29c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a39ecd4d5126414742c85bee5035bc29c">OnDropReceivedFromHeader</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:a39ecd4d5126414742c85bee5035bc29c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a641fb9854916aedf31979e4c31c736fb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a641fb9854916aedf31979e4c31c736fb">UnfocusAll</a> ()</td></tr>
<tr class="separator:a641fb9854916aedf31979e4c31c736fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac73ccc9fdab20c176846461cca082157"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ac73ccc9fdab20c176846461cca082157">DraggingOverHeader</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:ac73ccc9fdab20c176846461cca082157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646e9b4a9207f7b6b89a1b618d9d8f92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a646e9b4a9207f7b6b89a1b618d9d8f92">DoubleClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:a646e9b4a9207f7b6b89a1b618d9d8f92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade9909a06ac29094ba39c7aee3a94da3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ade9909a06ac29094ba39c7aee3a94da3">DraggingOverGrid</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> reciever, CargoContainer cargo)</td></tr>
<tr class="separator:ade9909a06ac29094ba39c7aee3a94da3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50c16e74179f012a554a3d2dbeb477e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ac50c16e74179f012a554a3d2dbeb477e">DropReceived</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, CargoContainer cargo)</td></tr>
<tr class="separator:ac50c16e74179f012a554a3d2dbeb477e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdfd7747738420518709b92874a0c577"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#afdfd7747738420518709b92874a0c577">GetItemPreviewItem</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:afdfd7747738420518709b92874a0c577"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1836e80d85dcbb5abfbcb27f906d33e1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a1836e80d85dcbb5abfbcb27f906d33e1">Refresh</a> ()</td></tr>
<tr class="separator:a1836e80d85dcbb5abfbcb27f906d33e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4399d7b7828169fc7c3b36da547c5ae6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a4399d7b7828169fc7c3b36da547c5ae6">RefreshAllSlots</a> ()</td></tr>
<tr class="separator:a4399d7b7828169fc7c3b36da547c5ae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f9b7afa0641dd2cef69e6a2f6f0629"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#aa6f9b7afa0641dd2cef69e6a2f6f0629">RefreshSlot</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> row, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> column, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name)</td></tr>
<tr class="separator:aa6f9b7afa0641dd2cef69e6a2f6f0629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb26efe59e10cace47b353a8e580387"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#acdb26efe59e10cace47b353a8e580387">OnMouseButtonDown</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:acdb26efe59e10cace47b353a8e580387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5973eeb7c7efae606d03887d74a55dc0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a5973eeb7c7efae606d03887d74a55dc0">Init</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> attachments_categories_count, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> attachment_category, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> config_path_attachment_categories, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> parent_m_Body_count)</td></tr>
<tr class="separator:a5973eeb7c7efae606d03887d74a55dc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150933013a4a151eb24f9b3f7daabc8a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a150933013a4a151eb24f9b3f7daabc8a">UpdateInterval</a> ()</td></tr>
<tr class="separator:a150933013a4a151eb24f9b3f7daabc8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae82f0c01c58cfa0c3499d16f3ebc1858"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ae82f0c01c58cfa0c3499d16f3ebc1858">m_CategoryIdentifier</a></td></tr>
<tr class="separator:ae82f0c01c58cfa0c3499d16f3ebc1858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaccc41f4c4f20187e7601645ae385f50"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#aaccc41f4c4f20187e7601645ae385f50">m_RowConfigPath</a></td></tr>
<tr class="separator:aaccc41f4c4f20187e7601645ae385f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68b33a848549d01f00e6e7823541a811"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a68b33a848549d01f00e6e7823541a811">m_Refreshing</a></td></tr>
<tr class="separator:a68b33a848549d01f00e6e7823541a811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5aba52bc677eaea0e228cce93cf026c"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d0/d9d/class_attachments_group_container.html">AttachmentsGroupContainer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#ae5aba52bc677eaea0e228cce93cf026c">m_AttachmentsContainer</a></td></tr>
<tr class="separator:ae5aba52bc677eaea0e228cce93cf026c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6098f13686d242639088bce0bb89bd7f"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d7/d00/class_closable_container.html#adec8ade9fc6143b3616be3d240fe060c">ContainerWithCargo</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d93/class_attachment_categories_row.html#a6098f13686d242639088bce0bb89bd7f">m_AttachmentCargos</a></td></tr>
<tr class="separator:a6098f13686d242639088bce0bb89bd7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a980a40031a549f17244320edd51b6220" name="a980a40031a549f17244320edd51b6220"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a980a40031a549f17244320edd51b6220">&#9670;&#160;</a></span>AttachmentCategoriesRow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesRow::AttachmentCategoriesRow </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>sort</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00010">10</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aebd2db255cbe2fb8e11f75e6e89de991" name="aebd2db255cbe2fb8e11f75e6e89de991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebd2db255cbe2fb8e11f75e6e89de991">&#9670;&#160;</a></span>CanCombine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::CanCombine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00237">237</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a472effda30a7018c48ad844b7c89b8a1" name="a472effda30a7018c48ad844b7c89b8a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a472effda30a7018c48ad844b7c89b8a1">&#9670;&#160;</a></span>CanCombineAmmo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::CanCombineAmmo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00282">282</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="aacbc7d1d64fb2f169beb0adc5493953a" name="aacbc7d1d64fb2f169beb0adc5493953a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacbc7d1d64fb2f169beb0adc5493953a">&#9670;&#160;</a></span>CanEquip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::CanEquip </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00232">232</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a4e5986fb974b40f02d42b90e83ea953a" name="a4e5986fb974b40f02d42b90e83ea953a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e5986fb974b40f02d42b90e83ea953a">&#9670;&#160;</a></span>Combine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::Combine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00161">161</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a646e9b4a9207f7b6b89a1b618d9d8f92" name="a646e9b4a9207f7b6b89a1b618d9d8f92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a646e9b4a9207f7b6b89a1b618d9d8f92">&#9670;&#160;</a></span>DoubleClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesRow::DoubleClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00492">492</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ade9909a06ac29094ba39c7aee3a94da3" name="ade9909a06ac29094ba39c7aee3a94da3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade9909a06ac29094ba39c7aee3a94da3">&#9670;&#160;</a></span>DraggingOverGrid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::DraggingOverGrid </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>reciever</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CargoContainer&#160;</td>
          <td class="paramname"><em>cargo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00572">572</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ac73ccc9fdab20c176846461cca082157" name="ac73ccc9fdab20c176846461cca082157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac73ccc9fdab20c176846461cca082157">&#9670;&#160;</a></span>DraggingOverHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesRow::DraggingOverHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00412">412</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ac50c16e74179f012a554a3d2dbeb477e" name="ac50c16e74179f012a554a3d2dbeb477e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50c16e74179f012a554a3d2dbeb477e">&#9670;&#160;</a></span>DropReceived()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesRow::DropReceived </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CargoContainer&#160;</td>
          <td class="paramname"><em>cargo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00635">635</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="af0e7b189137ea662f84750b4c8f85f86" name="af0e7b189137ea662f84750b4c8f85f86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0e7b189137ea662f84750b4c8f85f86">&#9670;&#160;</a></span>EquipItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::EquipItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00227">227</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ae57fb3b7f9303031ff7a2b16c9497c36" name="ae57fb3b7f9303031ff7a2b16c9497c36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae57fb3b7f9303031ff7a2b16c9497c36">&#9670;&#160;</a></span>GetCategoryIdentifier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AttachmentCategoriesRow::GetCategoryIdentifier </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00023">23</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ab4640eb5c823da81b995bff7d89a00c5" name="ab4640eb5c823da81b995bff7d89a00c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4640eb5c823da81b995bff7d89a00c5">&#9670;&#160;</a></span>GetFocusedSlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AttachmentCategoriesRow::GetFocusedSlot </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00028">28</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="afdfd7747738420518709b92874a0c577" name="afdfd7747738420518709b92874a0c577"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdfd7747738420518709b92874a0c577">&#9670;&#160;</a></span>GetItemPreviewItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> AttachmentCategoriesRow::GetItemPreviewItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00686">686</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a5973eeb7c7efae606d03887d74a55dc0" name="a5973eeb7c7efae606d03887d74a55dc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5973eeb7c7efae606d03887d74a55dc0">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesRow::Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>attachments_categories_count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>attachment_category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>config_path_attachment_categories</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>parent_m_Body_count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00882">882</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a4592e5f4caa524ef54578d7a73cf2f35" name="a4592e5f4caa524ef54578d7a73cf2f35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4592e5f4caa524ef54578d7a73cf2f35">&#9670;&#160;</a></span>IsItemActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::IsItemActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00287">287</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a4537caec7a3937c5b57359c4c5b8b21c" name="a4537caec7a3937c5b57359c4c5b8b21c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4537caec7a3937c5b57359c4c5b8b21c">&#9670;&#160;</a></span>IsItemWithQuantityActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::IsItemWithQuantityActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00293">293</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a39ecd4d5126414742c85bee5035bc29c" name="a39ecd4d5126414742c85bee5035bc29c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39ecd4d5126414742c85bee5035bc29c">&#9670;&#160;</a></span>OnDropReceivedFromHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesRow::OnDropReceivedFromHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00300">300</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="acdb26efe59e10cace47b353a8e580387" name="acdb26efe59e10cace47b353a8e580387"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb26efe59e10cace47b353a8e580387">&#9670;&#160;</a></span>OnMouseButtonDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::OnMouseButtonDown </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00846">846</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a1836e80d85dcbb5abfbcb27f906d33e1" name="a1836e80d85dcbb5abfbcb27f906d33e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1836e80d85dcbb5abfbcb27f906d33e1">&#9670;&#160;</a></span>Refresh()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesRow::Refresh </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00706">706</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a4399d7b7828169fc7c3b36da547c5ae6" name="a4399d7b7828169fc7c3b36da547c5ae6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4399d7b7828169fc7c3b36da547c5ae6">&#9670;&#160;</a></span>RefreshAllSlots()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesRow::RefreshAllSlots </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00718">718</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="aa6f9b7afa0641dd2cef69e6a2f6f0629" name="aa6f9b7afa0641dd2cef69e6a2f6f0629"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6f9b7afa0641dd2cef69e6a2f6f0629">&#9670;&#160;</a></span>RefreshSlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AttachmentCategoriesRow::RefreshSlot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>column</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00736">736</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a21b7c11d83d7bb7601b90f5e53dfdec3" name="a21b7c11d83d7bb7601b90f5e53dfdec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21b7c11d83d7bb7601b90f5e53dfdec3">&#9670;&#160;</a></span>Select()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::Select </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00038">38</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="acc0ce7fdae363510e07cabfec3274224" name="acc0ce7fdae363510e07cabfec3274224"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc0ce7fdae363510e07cabfec3274224">&#9670;&#160;</a></span>SplitItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::SplitItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00222">222</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a6c888e0d95ab0f53d3d1dbbd6d4e666b" name="a6c888e0d95ab0f53d3d1dbbd6d4e666b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c888e0d95ab0f53d3d1dbbd6d4e666b">&#9670;&#160;</a></span>TransferItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::TransferItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00131">131</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a3680de698fac1cb02efa7bf6eddbaa50" name="a3680de698fac1cb02efa7bf6eddbaa50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3680de698fac1cb02efa7bf6eddbaa50">&#9670;&#160;</a></span>TransferItemToVicinity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::TransferItemToVicinity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00144">144</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a641fb9854916aedf31979e4c31c736fb" name="a641fb9854916aedf31979e4c31c736fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a641fb9854916aedf31979e4c31c736fb">&#9670;&#160;</a></span>UnfocusAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesRow::UnfocusAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00393">393</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a150933013a4a151eb24f9b3f7daabc8a" name="a150933013a4a151eb24f9b3f7daabc8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a150933013a4a151eb24f9b3f7daabc8a">&#9670;&#160;</a></span>UpdateInterval()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AttachmentCategoriesRow::UpdateInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00958">958</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a6098f13686d242639088bce0bb89bd7f" name="a6098f13686d242639088bce0bb89bd7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6098f13686d242639088bce0bb89bd7f">&#9670;&#160;</a></span>m_AttachmentCargos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d7/d00/class_closable_container.html#adec8ade9fc6143b3616be3d240fe060c">ContainerWithCargo</a>&gt; AttachmentCategoriesRow::m_AttachmentCargos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00008">8</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ae5aba52bc677eaea0e228cce93cf026c" name="ae5aba52bc677eaea0e228cce93cf026c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5aba52bc677eaea0e228cce93cf026c">&#9670;&#160;</a></span>m_AttachmentsContainer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d0/d9d/class_attachments_group_container.html">AttachmentsGroupContainer</a> AttachmentCategoriesRow::m_AttachmentsContainer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00007">7</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="ae82f0c01c58cfa0c3499d16f3ebc1858" name="ae82f0c01c58cfa0c3499d16f3ebc1858"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae82f0c01c58cfa0c3499d16f3ebc1858">&#9670;&#160;</a></span>m_CategoryIdentifier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AttachmentCategoriesRow::m_CategoryIdentifier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="a68b33a848549d01f00e6e7823541a811" name="a68b33a848549d01f00e6e7823541a811"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68b33a848549d01f00e6e7823541a811">&#9670;&#160;</a></span>m_Refreshing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> AttachmentCategoriesRow::m_Refreshing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<a id="aaccc41f4c4f20187e7601645ae385f50" name="aaccc41f4c4f20187e7601645ae385f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaccc41f4c4f20187e7601645ae385f50">&#9670;&#160;</a></span>m_RowConfigPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AttachmentCategoriesRow::m_RowConfigPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html#l00004">4</a> of file <a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/Inherited/<a class="el" href="../../d4/de4/_attachment_categories_row_8c_source.html">AttachmentCategoriesRow.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d93/class_attachment_categories_row.html">AttachmentCategoriesRow</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
